Bug 439098 - restarts ntpd (even if unnecessary) with stderr to .xsession-errors, SElinux deny write.
restarts ntpd (even if unnecessary) with stderr to .xsession-errors, SElinux ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 19:03 EDT by archimerged Ark submedes
Modified: 2009-12-18 01:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:06:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description archimerged Ark submedes 2008-03-26 19:03:37 EDT
Description of problem:

Menu item System/Administration/Date & Time, Network Time Protocol tab,
advanced features, select synchronize before starting, 
Ok, "Contacting NTP server, please wait" alert box, then an SE Linux
audit comes up, which would be ignored by:

allow ntpd_t user_home_t:file { read append };

Also system-config-date _always_ does service ntpd restart,
which it shouldn't if nothing was changed.

Version-Release number of selected component (if applicable):
Linux beta.localnet 2.6.25-0.121.rc5.git4.fc9 #1 SMP Fri Mar 14 23:14:20 EDT
2008 i686 i686 i386 GNU/Linux

How reproducible:  Every time.


Steps to Reproduce:
1.  Menu item System/Administration/Date & Time, Network Time Protocol tab,
advanced features, select synchronize before starting, 
2. Click OK.
3.
  
Actual results:
Always restarts ntpd even if no change.
ntpd gets SElinux error trying to write to .xsession-errors

Expected results:
Only restart ntpd if appropriate.
Make sure output is not directed to .xsession-errors.
(It was probably the restarting NTP server ... [OK] message,
but I didn't check).

Additional info:
Comment 1 Bug Zapper 2008-05-14 02:54:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 lexual 2009-02-26 18:58:13 EST
No selinux issues here, but it does seem to restart ntp, Fedora 10.
Comment 3 Bug Zapper 2009-11-18 07:27:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:06:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.